Bug 190016 - [patch] Add staging support to www/blogsum
Summary: [patch] Add staging support to www/blogsum
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-20 17:30 UTC by joe
Modified: 2014-05-25 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (553 bytes, patch)
2014-05-20 17:30 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-20 17:30:00 UTC
Adds staging support to www/blogsum.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-20 17:30:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-20 17:30:05 UTC
Maintainer of www/blogsum,

Please note that PR ports/190016 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190016

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-05-20 17:30:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Johan Huldtgren 2014-05-21 00:59:08 UTC
On 5/20/14, 12:30 PM, Edwin Groothuis wrote:
> Maintainer of www/blogsum,
>
> Please note that PR ports/190016 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190016

hello,

I had already created a PR for this effort a week ago ( 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189820 ), however I'm 
sure this one is better as I had some issues with mine (see PR for 
details). So I'm ok with this PR going in and mine being deleted.

.jh
Comment 5 Martin Wilke freebsd_committer 2014-05-25 06:25:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2014-05-25 06:25:09 UTC
Author: miwi
Date: Sun May 25 05:25:04 2014
New Revision: 355123
URL: http://svnweb.freebsd.org/changeset/ports/355123
QAT: https://qat.redports.org/buildarchive/r355123/

Log:
  - Stage support
  
  PR:		190016
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com>
  Approved by:	maintainer

Modified:
  head/www/blogsum/Makefile

Modified: head/www/blogsum/Makefile
==============================================================================
--- head/www/blogsum/Makefile	Sun May 25 05:23:59 2014	(r355122)
+++ head/www/blogsum/Makefile	Sun May 25 05:25:04 2014	(r355123)
@@ -23,7 +23,6 @@ NO_BUILD=	yes
 USE_PERL5=	run
 USE_APACHE_RUN=	22+
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 SUB_FILES=	pkg-message
@@ -37,8 +36,8 @@ pre-everything::
 	@${ECHO_MSG} ""
 
 do-install:
-	@${MKDIR} ${WWWDIR}/
-	@ cd ${WRKSRC} && ${COPYTREE_SHARE} . ${WWWDIR}/
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/
+	@ cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR}/
 
 post-install:
 	@${ECHO_MSG} ""
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"